Package org.drinkless.tdlib

# Class TdApi.MessageSuggestedPostApproved

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageSuggestedPostApproved

Enclosing class:
  `TdApi`

public static class TdApi.MessageSuggestedPostApproved extends TdApi.MessageContent
A suggested post was approved.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.SuggestedPostPrice`
  `price`
  Price of the suggested post; may be null if the post is non-paid.
  `int`
  `sendDate`
  Point in time (Unix timestamp) when the post is expected to be published.
  `long`
  `suggestedPostMessageId`
  Identifier of the message with the suggested post; may be 0 or an identifier of a deleted message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageSuggestedPostApproved()`
  A suggested post was approved.
  `MessageSuggestedPostApproved(long suggestedPostMessageId, TdApi.SuggestedPostPrice price, int sendDate)`
  A suggested post was approved.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### suggestedPostMessageId

    public long suggestedPostMessageId
    Identifier of the message with the suggested post; may be 0 or an identifier of a deleted message.

  - ### price

    @Nullable public TdApi.SuggestedPostPrice price
    Price of the suggested post; may be null if the post is non-paid.

  - ### sendDate

    public int sendDate
    Point in time (Unix timestamp) when the post is expected to be published.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageSuggestedPostApproved

    public MessageSuggestedPostApproved()
    A suggested post was approved.

  - ### MessageSuggestedPostApproved

    public MessageSuggestedPostApproved(long suggestedPostMessageId, TdApi.SuggestedPostPrice price, int sendDate)
    A suggested post was approved.
    Parameters:
      `suggestedPostMessageId` - Identifier of the message with the suggested post; may be 0 or an identifier of a deleted message.
      `price` - Price of the suggested post; may be null if the post is non-paid.
      `sendDate` - Point in time (Unix timestamp) when the post is expected to be published.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR